#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x3e5616d8, "module_layout" },
	{ 0x2488fb2a, "nft_unregister_expr" },
	{ 0xbcdf983d, "nft_register_expr" },
	{ 0xf899fa9a, "__skb_get_hash_symmetric" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x44b2c048, "nft_set_lookup_global" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x8bcda14d, "nft_validate_register_store" },
	{ 0x85430a76, "nft_validate_register_load" },
	{ 0xde57b5f5, "nft_parse_u32_check" },
	{ 0x1e6b75a3, "nft_parse_register" },
	{ 0x754d539c, "strlen" },
	{ 0xdb7305a1, "__stack_chk_fail" },
	{ 0xf70cf44a, "nla_put" },
	{ 0xca31cd67, "nft_dump_register" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nf_tables";


MODULE_INFO(srcversion, "E3152DE326CF3A587C495CA");
